aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/imx6
diff options
context:
space:
mode:
authorJohn Crispin <blogic@openwrt.org>2014-06-19 14:13:38 +0000
committerJohn Crispin <blogic@openwrt.org>2014-06-19 14:13:38 +0000
commit0f6578ce01ba5a99cc193f84c5d69811077fd78e (patch)
tree60358c1b72b2efb75ff76626ab796582389a43e1 /target/linux/imx6
parentde86057bfc78f7c71f25fdfa6dc481070b286003 (diff)
downloadmaster-187ad058-0f6578ce01ba5a99cc193f84c5d69811077fd78e.tar.gz
master-187ad058-0f6578ce01ba5a99cc193f84c5d69811077fd78e.tar.bz2
master-187ad058-0f6578ce01ba5a99cc193f84c5d69811077fd78e.zip
imx6: add sysupgrade support
Signed-off-by: John Crispin <blogic@openwrt.org> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@41277 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/imx6')
-rwxr-xr-xtarget/linux/imx6/base-files/lib/upgrade/platform.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/target/linux/imx6/base-files/lib/upgrade/platform.sh b/target/linux/imx6/base-files/lib/upgrade/platform.sh
new file mode 100755
index 0000000000..7f8733a673
--- /dev/null
+++ b/target/linux/imx6/base-files/lib/upgrade/platform.sh
@@ -0,0 +1,19 @@
+#
+# Copyright (C) 2010 OpenWrt.org
+#
+
+. /lib/functions/imx6.sh
+
+platform_check_image() {
+ local board=$(imx6_board_name)
+
+ case "$board" in
+ gw54xx)
+ nand_do_platform_check $board $1
+ return $?;
+ ;;
+ esac
+
+ echo "Sysupgrade is not yet supported on $board."
+ return 1
+}